package com.lightinit.hsdatashow.dictionary;

import java.util.LinkedHashMap;

public class DicMonitorType {
    public static final String CAMERA = "摄像头";
    public static final String POLICE = "电子警察";


    private static DicMonitorType instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicMonitorType(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(CAMERA, CAMERA);
        dicMap.put(POLICE, POLICE);
    }

    public static DicMonitorType getInstacne(){
        if (instance == null)
        {
            instance = new DicMonitorType();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}
